### Method

# Gtk.IconTheme.lookup_by_gicon

#### Declaration [src]

    GtkIconPaintable*
    gtk_icon_theme_lookup_by_gicon (
      GtkIconTheme* self,
      GIcon* icon,
      int size,
      int scale,
      GtkTextDirection direction,
      GtkIconLookupFlags flags
    )

#### Description [src]

Looks up a icon for a desired size and window scale.

The icon can then be rendered by using it as a `GdkPaintable`, or you can get information such as the filename and size.

#### Parameters

`icon` | `GIcon*`
| the `GIcon` to look up
| Ownership is not transferred to the callee
`size` | `int`
| desired icon size
`scale` | `int`
| the desired scale
`direction` | `GtkTextDirection`
| text direction the icon will be displayed in
`flags` | `GtkIconLookupFlags`
| flags modifying the behavior of the icon lookup

#### Return value

Returns: `GtkIconPaintable`
a `GtkIconPaintable` containing information about the icon. Unref with `g_object_unref()`
Ownership of the data is transferred to the caller